<?php 
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones(); ///Clase Sesin
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Parametro = $_GET["Parametro"];
$numrenglones = 0;
if (empty($Parametro)){
		//Se aplica filtro para darle acceso a los administradores a todos los beneficiarios capturados
		$Condicion = "";
}	
else
{  
$Parametro = strtoupper($Parametro);
$Condicion = " Where NomProducto LIKE '%$Parametro%'";
}
  if ($Condicion != ""){
  $CadeBeneficiario = "SELECT * FROM vista_productos ".$Condicion."";
  $result = $Conexion->MVectorRegistro($CadeBeneficiario);
  $numrenglones = $result->num_rows;
  }
if ($numrenglones > 0) {
	$conti = 0;
	$json = array();
    while ($filas =  mysqli_fetch_array($result)) { 	
    $json[] =$filas["NomProducto"];	
    }
	header('Content-type:application/json;charset=utf-8');
   echo json_encode($json);
}
?> 
